#!/bin/bash

# Custom post-boot setup with Ansible defined parameters.
echo 'Launching matrix-repmgr-init2.sh...'

export PGUSER="{{ matrix_postgres_connection_username }}"
export PGPASSWORD="{{ matrix_postgres_connection_password }}"
export PGDATABASE="{{ matrix_postgres_db_name }}"

#postgres@pg-test2:~$ createuser -s repmgr
#postgres@pg-test2:~$ createdb repmgr -O repmgr

# Create repmgr user
/usr/bin/psql --host=matrix-postgres --port=5432 --username=matrix --dbname=matrix -c "CREATE USER repmgr WITH PASSWORD '{{ matrix_repmgr_connection_password }}' SUPERUSER;"

# Create repmgr database
/usr/bin/psql --host=matrix-postgres --port=5432 --username=matrix --dbname=matrix -c "CREATE DATABASE repmgr OWNER repmgr;"

# Set repmgr user password
/usr/bin/psql --host=matrix-postgres --port=5432 --username=matrix --dbname=repmgr -c "ALTER USER repmgr SET search_path TO repmgr, "$user", public;"

# SELECT pg_reload_conf();

export PGUSER="repmgr"
export PGPASSWORD="{{ matrix_repmgr_connection_password }}"
export PGDATABASE="repmgr"

# Pause Indefinitely
tail -f /dev/null